package de.dass_it.vanhelsing.gui.items;

import de.dass_it.vanhelsing.gui.items.*;

public class DirectorItem extends ItemType implements UserObjectItem{
	 private String name;
	 private String description;
	 private String password;
	 private String messages;
	 private String workingDirectory;
	 private String pidDirectory;
	 private String scriptsDirectory;
	 private String queryFile;
	 private String heartbeatInterval;
	 private String maximumConcurrentJobs;
	 private String fdConnectTimeout;
	 private String sdConnectTimeout;
	 private String dirAddresses;
	 private String dirPort;
	 private String dirAddress;
	 private String dirSourceAddress;
	 private String statisticsRetention;
	 private String verId;
	 private String maxConsoleConnections;

	 public DirectorItem(){}

	 public DirectorItem(String name, String password, String messages, String workingDirectory, 
			 String pidDrectory, String queryFile){
		
	 }

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}
	 public String getDescription() {
			return description;
		}

		public void setDescription(String description) {
			this.description = description;
		}

		public String getPassword() {
			return password;
		}

		public void setPassword(String password) {
			this.password = password;
		}

		public String getMessages() {
			return messages;
		}

		public void setMessages(String messages) {
			this.messages = messages;
		}

		public String getWorkingDirectory() {
			return workingDirectory;
		}

		public void setWorkingDirectory(String workingDirectory) {
			this.workingDirectory = workingDirectory;
		}

		public String getPidDirectory() {
			return pidDirectory;
		}

		public void setPidDirectory(String pidDirectory) {
			this.pidDirectory = pidDirectory;
		}

		public String getScriptsDirectory() {
			return scriptsDirectory;
		}

		public void setScriptsDirectory(String scriptsDirectory) {
			this.scriptsDirectory = scriptsDirectory;
		}

		public String getQueryFile() {
			return queryFile;
		}

		public void setQueryFile(String queryFile) {
			this.queryFile = queryFile;
		}

		public String getHeartbeatInterval() {
			return heartbeatInterval;
		}

		public void setHeartbeatInterval(String heartbeatInterval) {
			this.heartbeatInterval = heartbeatInterval;
		}

		public String getMaximumConcurrentJobs() {
			return maximumConcurrentJobs;
		}

		public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
			this.maximumConcurrentJobs = maximumConcurrentJobs;
		}

		public String getFdConnectTimeout() {
			return fdConnectTimeout;
		}

		public void setFdConnectTimeout(String fdConnectTimeout) {
			this.fdConnectTimeout = fdConnectTimeout;
		}

		public String getSdConnectTimeout() {
			return sdConnectTimeout;
		}

		public void setSdConnectTimeout(String sdConnectTimeout) {
			this.sdConnectTimeout = sdConnectTimeout;
		}

		public String getDirAddresses() {
			return dirAddresses;
		}

		public void setDirAddresses(String dirAddresses) {
			this.dirAddresses = dirAddresses;
		}

		public String getDirPort() {
			return dirPort;
		}

		public void setDirPort(String dirPort) {
			this.dirPort = dirPort;
		}

		public String getDirAddress() {
			return dirAddress;
		}

		public void setDirAddress(String dirAddress) {
			this.dirAddress = dirAddress;
		}

		public String getDirSourceAddress() {
			return dirSourceAddress;
		}

		public void setDirSourceAddress(String dirSourceAddress) {
			this.dirSourceAddress = dirSourceAddress;
		}

		public String getStatisticsRetention() {
			return statisticsRetention;
		}

		public void setStatisticsRetention(String statisticsRetention) {
			this.statisticsRetention = statisticsRetention;
		}

		public String getVerId() {
			return verId;
		}

		public void setVerId(String verId) {
			this.verId = verId;
		}

		public String getMaxConsoleConnections() {
			return maxConsoleConnections;
		}

		public void setMaxConsoleConnections(String maxConsoleConnections) {
			this.maxConsoleConnections = maxConsoleConnections;
		}



}
